<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__mem__v1_8c" kind="file" language="C++">
    <compoundname>cy_crypto_core_mem_v1.c</compoundname>
    <includes local="yes" refid="cy__crypto__core__mem__v1_8h">cy_crypto_core_mem_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw__v1_8h">cy_crypto_core_hw_v1.h</includes>
    <includes local="yes" refid="cy__syslib_8h">cy_syslib.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__crypto__core__mem__v1_8c_1a381dd72e866e98a0e8b0446caed70f7f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_V1_MemCpy</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, void const *src, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_V1_MemCpy</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemCpy uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>Memory structures should not overlap! There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source of MemCpy.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemCpy.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the copy operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="84" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__mem__v1_8c_1a1459426b754983d378e3f23bf3be18a8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_V1_MemSet</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, uint8_t data, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_V1_MemSet</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemSet uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemSet.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to be set.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the set operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="127" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" line="106" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__mem__v1_8c_1aae09fb24cf3cee73851da3347d71af40" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_Crypto_Core_V1_MemCmp</definition>
        <argsstring>(CRYPTO_Type *base, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_V1_MemCmp</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src0</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src1</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemCmp uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the first source of MemCmp.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the second source of MemCmp.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>the size in bytes of the compare operation.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>0 - if Source 1 = Source 2, 1 - if not. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="179" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" bodystart="152" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" line="152" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__mem__v1_8c_1a98bb88c3341bb500a5a23ddbe07b9e3b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_V1_MemXor</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_V1_MemXor</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src0</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src1</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemXor uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>Memory structures should not overlap! There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the first source of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the second source of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the compare operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="229" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" bodystart="205" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" line="205" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the source code to the API for the PRNG in the Crypto block driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#include<sp />"cy_crypto_core_mem_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_STR<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="42"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_MemCpy</highlight></codeline>
<codeline lineno="43"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="62"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_MemCpy(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="63"><highlight class="normal">{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(size<sp />!=<sp />0U)</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Prepare<sp />data<sp />in<sp />the<sp />register<sp />file<sp />for<sp />next<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_SetReg3Instr(base,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)src,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)dst,</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)size);</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Issue<sp />the<sp />STR_MEMCPY<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Run3ParamInstr(base,</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_V1_STR_MEMCPY_OPC,</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC0_SHIFT,</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC4_SHIFT,</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC8_SHIFT);</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Wait<sp />until<sp />the<sp />STR<sp />instruction<sp />is<sp />complete<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(0uL<sp />!=<sp />_FLD2VAL(CRYPTO_STATUS_STR_BUSY,<sp />REG_CRYPTO_STATUS(base)))</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="84"><highlight class="normal">}</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="87"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_MemSet</highlight></codeline>
<codeline lineno="88"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="106"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_MemSet(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp />uint8_t<sp />data,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="107"><highlight class="normal">{</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(size<sp />!=<sp />0U)</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_SetReg3Instr(base,</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)dst,</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)size,</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)data);</highlight></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Issue<sp />the<sp />STR_MEMSET<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Run3ParamInstr(base,</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_V1_STR_MEMSET_OPC,</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC0_SHIFT,</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC8_SHIFT,</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC12_SHIFT);</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Wait<sp />until<sp />the<sp />STR<sp />instruction<sp />is<sp />complete<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(0uL<sp />!=<sp />_FLD2VAL(CRYPTO_STATUS_STR_BUSY,<sp />REG_CRYPTO_STATUS(base)))</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="127"><highlight class="normal">}</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="130"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_MemCmp</highlight></codeline>
<codeline lineno="131"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="152"><highlight class="normal">uint32_t<sp />Cy_Crypto_Core_V1_MemCmp(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src0,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src1,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="153"><highlight class="normal">{</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />memResult<sp />=<sp />1U;</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(size<sp />!=<sp />0U)</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_SetReg3Instr(base,</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)src0,</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)src1,</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)size);</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Issue<sp />the<sp />STR_MEMCMP<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Run3ParamInstr(base,</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_V1_STR_MEMCMP_OPC,</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC0_SHIFT,</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC4_SHIFT,</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC8_SHIFT);</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Wait<sp />until<sp />the<sp />STR<sp />instruction<sp />is<sp />complete<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(0uL<sp />!=<sp />_FLD2VAL(CRYPTO_STATUS_STR_BUSY,<sp />REG_CRYPTO_STATUS(base)))</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />memResult<sp />=<sp />(uint32_t)(REG_CRYPTO_STR_RESULT(base));</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />memResult;</highlight></codeline>
<codeline lineno="179"><highlight class="normal">}</highlight></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="182"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_MemXor</highlight></codeline>
<codeline lineno="183"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="205"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_MemXor(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src0,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src1,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="207"><highlight class="normal">{</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(size<sp />!=<sp />0U)</highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_SetReg4Instr(base,</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)src0,</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)src1,</highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)size,</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)dst);</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Issue<sp />the<sp />STR_MEMXOR<sp />instruction<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Run4ParamInstr(base,</highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_V1_STR_MEMXOR_OPC,</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC0_SHIFT,</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC4_SHIFT,</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC8_SHIFT,</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_RSRC12_SHIFT);</highlight></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Wait<sp />until<sp />the<sp />STR<sp />instruction<sp />is<sp />complete<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(0uL<sp />!=<sp />_FLD2VAL(CRYPTO_STATUS_STR_BUSY,<sp />REG_CRYPTO_STATUS(base)))</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="229"><highlight class="normal">}</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_STR<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal">}</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_mem_v1.c" />
  </compounddef>
</doxygen>